Index: test/demo.cxx
===================================================================
--- test/demo.cxx	(Revision 12517)
+++ test/demo.cxx	(Arbeitskopie)
@@ -49,7 +49,10 @@
 #include <FL/Fl_Choice.H>
 #include <FL/filename.H>
 #include <FL/x.H>
+#include <FL/Fl_Graphics_Driver.H>
+#include <FL/Fl_System_Driver.H>
 
+
 /* Define a macro to decide if a trailing 'd' needs to be removed
    from the executable file name. Previous versions of Visual Studio
    added a 'd' to the executable file name ('demod.exe') in Debug
@@ -246,7 +249,10 @@
   if (menus[men].icommand[bn][0] == '@')
     push_menu(menus[men].icommand[bn]);
   else {
-    
+    // export the current scaling factor to the new process
+    char var[50];
+    snprintf(var, sizeof(var), "FLTK_SCALING_FACTOR=%f", Fl_Graphics_Driver::default_driver().scale());
+    Fl::system_driver()->putenv(var);
 #ifdef WIN32
     STARTUPINFO		suInfo;		// Process startup information
     PROCESS_INFORMATION	prInfo;		// Process information
